Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network24.232.112.0/20
Usable hosts4,094
Subnet mask255.255.240.0
Addresses4,096
Network address
24.232.112.0
Broadcast address
24.232.127.255
First usable
24.232.112.1
Last usable
24.232.127.254
Usable hosts
4,094 (4,096 less the network and broadcast addresses)
Subnet mask
255.255.240.0
Wildcard mask
0.0.15.255 (Cisco ACLs, OSPF)
Prefix length
/20
Type
Public public
Old class
A (default /8)
As numbers
Hex 18E87000 · Integer 417886208 to 417890303
Reverse DNS zones
112.232.24.in-addr.arpa
113.232.24.in-addr.arpa
114.232.24.in-addr.arpa
115.232.24.in-addr.arpa
116.232.24.in-addr.arpa
117.232.24.in-addr.arpa
118.232.24.in-addr.arpa
119.232.24.in-addr.arpa
120.232.24.in-addr.arpa
121.232.24.in-addr.arpa
122.232.24.in-addr.arpa
123.232.24.in-addr.arpa
124.232.24.in-addr.arpa
125.232.24.in-addr.arpa
126.232.24.in-addr.arpa
127.232.24.in-addr.arpa
/20 is not on a 8-bit boundary, so it takes 16 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00011000.11101000.01110000.0000000024.232.112.0
Subnet mask11111111.11111111.11110000.00000000255.255.240.0
Network00011000.11101000.01110000.0000000024.232.112.0
Broadcast00011000.11101000.01111111.1111111124.232.127.255
Split into smaller subnets/27

24.232.112.0/20 makes 128 subnets of /27.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
124.232.112.0/2724.232.112.1 to 24.232.112.3024.232.112.3130
224.232.112.32/2724.232.112.33 to 24.232.112.6224.232.112.6330
324.232.112.64/2724.232.112.65 to 24.232.112.9424.232.112.9530
424.232.112.96/2724.232.112.97 to 24.232.112.12624.232.112.12730
524.232.112.128/2724.232.112.129 to 24.232.112.15824.232.112.15930
624.232.112.160/2724.232.112.161 to 24.232.112.19024.232.112.19130
724.232.112.192/2724.232.112.193 to 24.232.112.22224.232.112.22330
824.232.112.224/2724.232.112.225 to 24.232.112.25424.232.112.25530
924.232.113.0/2724.232.113.1 to 24.232.113.3024.232.113.3130
1024.232.113.32/2724.232.113.33 to 24.232.113.6224.232.113.6330
1124.232.113.64/2724.232.113.65 to 24.232.113.9424.232.113.9530
1224.232.113.96/2724.232.113.97 to 24.232.113.12624.232.113.12730
1324.232.113.128/2724.232.113.129 to 24.232.113.15824.232.113.15930
1424.232.113.160/2724.232.113.161 to 24.232.113.19024.232.113.19130
1524.232.113.192/2724.232.113.193 to 24.232.113.22224.232.113.22330
1624.232.113.224/2724.232.113.225 to 24.232.113.25424.232.113.25530
1724.232.114.0/2724.232.114.1 to 24.232.114.3024.232.114.3130
1824.232.114.32/2724.232.114.33 to 24.232.114.6224.232.114.6330
1924.232.114.64/2724.232.114.65 to 24.232.114.9424.232.114.9530
2024.232.114.96/2724.232.114.97 to 24.232.114.12624.232.114.12730
2124.232.114.128/2724.232.114.129 to 24.232.114.15824.232.114.15930
2224.232.114.160/2724.232.114.161 to 24.232.114.19024.232.114.19130
2324.232.114.192/2724.232.114.193 to 24.232.114.22224.232.114.22330
2424.232.114.224/2724.232.114.225 to 24.232.114.25424.232.114.25530
2524.232.115.0/2724.232.115.1 to 24.232.115.3024.232.115.3130
2624.232.115.32/2724.232.115.33 to 24.232.115.6224.232.115.6330
2724.232.115.64/2724.232.115.65 to 24.232.115.9424.232.115.9530
2824.232.115.96/2724.232.115.97 to 24.232.115.12624.232.115.12730
2924.232.115.128/2724.232.115.129 to 24.232.115.15824.232.115.15930
3024.232.115.160/2724.232.115.161 to 24.232.115.19024.232.115.19130
3124.232.115.192/2724.232.115.193 to 24.232.115.22224.232.115.22330
3224.232.115.224/2724.232.115.225 to 24.232.115.25424.232.115.25530
3324.232.116.0/2724.232.116.1 to 24.232.116.3024.232.116.3130
3424.232.116.32/2724.232.116.33 to 24.232.116.6224.232.116.6330
3524.232.116.64/2724.232.116.65 to 24.232.116.9424.232.116.9530
3624.232.116.96/2724.232.116.97 to 24.232.116.12624.232.116.12730
3724.232.116.128/2724.232.116.129 to 24.232.116.15824.232.116.15930
3824.232.116.160/2724.232.116.161 to 24.232.116.19024.232.116.19130
3924.232.116.192/2724.232.116.193 to 24.232.116.22224.232.116.22330
4024.232.116.224/2724.232.116.225 to 24.232.116.25424.232.116.25530
4124.232.117.0/2724.232.117.1 to 24.232.117.3024.232.117.3130
4224.232.117.32/2724.232.117.33 to 24.232.117.6224.232.117.6330
4324.232.117.64/2724.232.117.65 to 24.232.117.9424.232.117.9530
4424.232.117.96/2724.232.117.97 to 24.232.117.12624.232.117.12730
4524.232.117.128/2724.232.117.129 to 24.232.117.15824.232.117.15930
4624.232.117.160/2724.232.117.161 to 24.232.117.19024.232.117.19130
4724.232.117.192/2724.232.117.193 to 24.232.117.22224.232.117.22330
4824.232.117.224/2724.232.117.225 to 24.232.117.25424.232.117.25530
4924.232.118.0/2724.232.118.1 to 24.232.118.3024.232.118.3130
5024.232.118.32/2724.232.118.33 to 24.232.118.6224.232.118.6330
5124.232.118.64/2724.232.118.65 to 24.232.118.9424.232.118.9530
5224.232.118.96/2724.232.118.97 to 24.232.118.12624.232.118.12730
5324.232.118.128/2724.232.118.129 to 24.232.118.15824.232.118.15930
5424.232.118.160/2724.232.118.161 to 24.232.118.19024.232.118.19130
5524.232.118.192/2724.232.118.193 to 24.232.118.22224.232.118.22330
5624.232.118.224/2724.232.118.225 to 24.232.118.25424.232.118.25530
5724.232.119.0/2724.232.119.1 to 24.232.119.3024.232.119.3130
5824.232.119.32/2724.232.119.33 to 24.232.119.6224.232.119.6330
5924.232.119.64/2724.232.119.65 to 24.232.119.9424.232.119.9530
6024.232.119.96/2724.232.119.97 to 24.232.119.12624.232.119.12730
6124.232.119.128/2724.232.119.129 to 24.232.119.15824.232.119.15930
6224.232.119.160/2724.232.119.161 to 24.232.119.19024.232.119.19130
6324.232.119.192/2724.232.119.193 to 24.232.119.22224.232.119.22330
6424.232.119.224/2724.232.119.225 to 24.232.119.25424.232.119.25530
6524.232.120.0/2724.232.120.1 to 24.232.120.3024.232.120.3130
6624.232.120.32/2724.232.120.33 to 24.232.120.6224.232.120.6330
6724.232.120.64/2724.232.120.65 to 24.232.120.9424.232.120.9530
6824.232.120.96/2724.232.120.97 to 24.232.120.12624.232.120.12730
6924.232.120.128/2724.232.120.129 to 24.232.120.15824.232.120.15930
7024.232.120.160/2724.232.120.161 to 24.232.120.19024.232.120.19130
7124.232.120.192/2724.232.120.193 to 24.232.120.22224.232.120.22330
7224.232.120.224/2724.232.120.225 to 24.232.120.25424.232.120.25530
7324.232.121.0/2724.232.121.1 to 24.232.121.3024.232.121.3130
7424.232.121.32/2724.232.121.33 to 24.232.121.6224.232.121.6330
7524.232.121.64/2724.232.121.65 to 24.232.121.9424.232.121.9530
7624.232.121.96/2724.232.121.97 to 24.232.121.12624.232.121.12730
7724.232.121.128/2724.232.121.129 to 24.232.121.15824.232.121.15930
7824.232.121.160/2724.232.121.161 to 24.232.121.19024.232.121.19130
7924.232.121.192/2724.232.121.193 to 24.232.121.22224.232.121.22330
8024.232.121.224/2724.232.121.225 to 24.232.121.25424.232.121.25530
8124.232.122.0/2724.232.122.1 to 24.232.122.3024.232.122.3130
8224.232.122.32/2724.232.122.33 to 24.232.122.6224.232.122.6330
8324.232.122.64/2724.232.122.65 to 24.232.122.9424.232.122.9530
8424.232.122.96/2724.232.122.97 to 24.232.122.12624.232.122.12730
8524.232.122.128/2724.232.122.129 to 24.232.122.15824.232.122.15930
8624.232.122.160/2724.232.122.161 to 24.232.122.19024.232.122.19130
8724.232.122.192/2724.232.122.193 to 24.232.122.22224.232.122.22330
8824.232.122.224/2724.232.122.225 to 24.232.122.25424.232.122.25530
8924.232.123.0/2724.232.123.1 to 24.232.123.3024.232.123.3130
9024.232.123.32/2724.232.123.33 to 24.232.123.6224.232.123.6330
9124.232.123.64/2724.232.123.65 to 24.232.123.9424.232.123.9530
9224.232.123.96/2724.232.123.97 to 24.232.123.12624.232.123.12730
9324.232.123.128/2724.232.123.129 to 24.232.123.15824.232.123.15930
9424.232.123.160/2724.232.123.161 to 24.232.123.19024.232.123.19130
9524.232.123.192/2724.232.123.193 to 24.232.123.22224.232.123.22330
9624.232.123.224/2724.232.123.225 to 24.232.123.25424.232.123.25530
9724.232.124.0/2724.232.124.1 to 24.232.124.3024.232.124.3130
9824.232.124.32/2724.232.124.33 to 24.232.124.6224.232.124.6330
9924.232.124.64/2724.232.124.65 to 24.232.124.9424.232.124.9530
10024.232.124.96/2724.232.124.97 to 24.232.124.12624.232.124.12730
10124.232.124.128/2724.232.124.129 to 24.232.124.15824.232.124.15930
10224.232.124.160/2724.232.124.161 to 24.232.124.19024.232.124.19130
10324.232.124.192/2724.232.124.193 to 24.232.124.22224.232.124.22330
10424.232.124.224/2724.232.124.225 to 24.232.124.25424.232.124.25530
10524.232.125.0/2724.232.125.1 to 24.232.125.3024.232.125.3130
10624.232.125.32/2724.232.125.33 to 24.232.125.6224.232.125.6330
10724.232.125.64/2724.232.125.65 to 24.232.125.9424.232.125.9530
10824.232.125.96/2724.232.125.97 to 24.232.125.12624.232.125.12730
10924.232.125.128/2724.232.125.129 to 24.232.125.15824.232.125.15930
11024.232.125.160/2724.232.125.161 to 24.232.125.19024.232.125.19130
11124.232.125.192/2724.232.125.193 to 24.232.125.22224.232.125.22330
11224.232.125.224/2724.232.125.225 to 24.232.125.25424.232.125.25530
11324.232.126.0/2724.232.126.1 to 24.232.126.3024.232.126.3130
11424.232.126.32/2724.232.126.33 to 24.232.126.6224.232.126.6330
11524.232.126.64/2724.232.126.65 to 24.232.126.9424.232.126.9530
11624.232.126.96/2724.232.126.97 to 24.232.126.12624.232.126.12730
11724.232.126.128/2724.232.126.129 to 24.232.126.15824.232.126.15930
11824.232.126.160/2724.232.126.161 to 24.232.126.19024.232.126.19130
11924.232.126.192/2724.232.126.193 to 24.232.126.22224.232.126.22330
12024.232.126.224/2724.232.126.225 to 24.232.126.25424.232.126.25530
12124.232.127.0/2724.232.127.1 to 24.232.127.3024.232.127.3130
12224.232.127.32/2724.232.127.33 to 24.232.127.6224.232.127.6330
12324.232.127.64/2724.232.127.65 to 24.232.127.9424.232.127.9530
12424.232.127.96/2724.232.127.97 to 24.232.127.12624.232.127.12730
12524.232.127.128/2724.232.127.129 to 24.232.127.15824.232.127.15930
12624.232.127.160/2724.232.127.161 to 24.232.127.19024.232.127.19130
12724.232.127.192/2724.232.127.193 to 24.232.127.22224.232.127.22330
12824.232.127.224/2724.232.127.225 to 24.232.127.25424.232.127.25530

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses